| Bsoft 2.0.5 Bernard's software package

Functions | Variables
bplane.cpp File Reference

A tool to expand models. More...

`#include "model_create.h"`
`#include "model_plane.h"`
`#include "model_transform.h"`
`#include "model_views.h"`
`#include "model_links.h"`
`#include "model_util.h"`
`#include "utilities.h"`
`#include "options.h"`
`#include "timer.h"`

Go to the source code of this file.

## Functions
int | main (int argc, char **argv)

## Variables
int | verbose
const char * | use []

## Detailed Description

A tool to expand models.

Author
  Bernard Heymann

Date
  Created: 20140925
  Modified: 20141008

Definition in file bplane.cpp.

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 55 of file bplane.cpp.

## Variable Documentation

## ◆ use

const char* use[]

Initial value:
= {
" ",
"Usage: bplane [options] in.star",
"-------------------------------",
"Generates and manipulates plane models.",
" ",
"Actions for creation:",
"-plane 386,125 Generate a plane with the given length and width.",
"-setviews Fit a plane to the model and set the component views.",
"-fit Use the input model as guide to generate a plane model.",
" ",
"Actions:",
"-view 0.5,-0.2,0.3,35 View to orient plane: vector=normal, angle=in-plane rotation.",
"-guide poly.star Input guide model to adjust the plane to.",
" ",
"Parameters:",
"-verbose 7 Verbosity of output.",
"-separation 14.5 New component separation (default 10).",
"-sigma 150 Smoothness of the fit (default 100).",
"-componentradius 0.5 Component display radius.",
"-linkradius 0.5 Link display radius.",
" ",
"Input:",
"-map density.map Input map file.",
" ",
"Output:",
"-output newmod.star Output model file.",
" ",
NULL
}

Definition at line 24 of file bplane.cpp.

## ◆ verbose

int verbose